/* stylelint-disable selector-max-compound-selectors */

.navbar {
	border: 0;
	transition: box-shadow $default-transition-time;

	@media (max-width: ($grid-float-breakpoint - 1)) {
		.dropdown-legend {
			color: $black;
		}

		.dropdown-menu > li > a,
		.dropdown-menu > li > .btn-link {
			color: $white;
		}
	}
	font-weight: bolder;

	background: transparent url("/kultura/kultura_header_web_gradient.svg") repeat-x;
	background-size: 1500px;
}

.navbar .gradient {
	position: fixed;
	left: 0;
	right: 0;
	height: 232px;
}

.navbar .decoration {
	display: none;
	pointer-events: none;
    position: fixed;
}

.navbar .decoration.mobile {
	width: 990px;
	left: 50%;
	transform: translateX(-50%);

	@media (max-width: ($grid-float-breakpoint - 1)) {
		display: block;
	}
}

.navbar .decoration.wide {
    width: 1536px;
	left: 50%;
	transform: translateX(-50%);

	@media (min-width: $grid-float-breakpoint) {
		display: block;
	}

	@media (min-width: 1536px) {
		display:none
	}
}

.navbar .decoration.scroll {
	display: none;
    width: 1536px;
	left: 50%;
	transform: translateX(-50%);


	@media (min-width: $grid-float-breakpoint) {
		display: block;
	}
}

.navbar .decoration.split {
	&.left {
		width: 400px;
		left: 0;
	}
	&.middle {
		width: 936px;
		left: 50%;
		transform: translateX(-50%);
	}
	&.right {
		width: 500px;
		right: 0;
	}

	@media (min-width: 1536px) {
		display: block;
	}
}

.navbar-toggle {
	margin: 0;
	margin-right: 22px;
}

.navbar-collapse {
	@media (max-width: ($grid-float-breakpoint - 1)) {
		border-top: 1px solid $navbar-default-border;
		box-shadow: 0 5px 5px rgba(0, 0, 0, 0.3);

		/* Fix: Removes small bar on opening/closing */
		&[aria-expanded='false'] {
			display: none;
		}

		&[aria-expanded='true'] {
			height: auto !important;
		}
	}
}

.navbar-fixed-top .navbar-collapse,
.navbar-fixed-bottom .navbar-collapse {
	max-height: 386px;
}

.navbar-form {
	@media (max-width: ($grid-float-breakpoint - 1)) {
		border: 0;
		box-shadow: none;
	}
}

.navbar-container {
	padding: 0 20px !important;
	margin-top: -20px;
}

.navbar-brand.logo {
	position: absolute;
	left: 50%;
	transform: translate(-50%);

	@media (min-width: $grid-float-breakpoint) {
		transform: translateX(-80px);
	}
}


.navbar-brand > .connecting {
	text-shadow: 0 0 1px $green-dark;
}

.navbar-brand > .no-connection {
	text-shadow: 0 0 1px $red;
}

.navbar-brand > img {
	bottom: 15px;
	display: inline-block;
	height: 49px;
	position: relative;
}

.site-name {
	font-size: x-large;
	transition: text-shadow $default-transition-time;
	vertical-align: top;
}

.site-stage {
	@include td-pos(right, 1em);
	bottom: 2px;
	color: $gray-dark;
	font-size: small;
	font-weight: bold;
	position: absolute;
	transform: rotate(345deg);
	transition: text-shadow $default-transition-time;
}

.navbar-brand:hover {
	text-shadow: rgba(0, 0, 0, 0.25) 1px 1px 1px;
}

.navbar-brand:hover > .site-name,
.navbar-brand:hover > .site-stage {
	color: $white;
}

.navbar-link {
	cursor: pointer;
	font-size: xx-large;
	transition-duration: $default-transition-time;
	transition-property: #{'background-color, box-shadow, text-shadow'};

	&:hover {
		text-shadow: rgba(0, 0, 0, 0.25) 1px 1px 1px;
	}

	@media (max-width: ($grid-float-breakpoint - 1)) {
		border-bottom: 1px solid $navbar-default-border;
	}
}

.nav > li > a {
	@media (max-width: ($grid-float-breakpoint - 1)) {
		padding: 15px 7px 14px;
	}
}

.nav-marker-bar {
	background-color: transparent;
	bottom: -6px;
	height: 6px;
	left: 0;
	opacity: 0;
	position: absolute;
	transition-duration: $default-transition-time;
	transition-property: #{'background-color, opacity'};
	width: 100%;
}

.nav-marker-caret {
	border: 5px solid;
	border-color: transparent transparent $body-bg;
	bottom: 0;
	box-shadow: none;
	height: 0;
	left: 50%;
	opacity: 0;
	position: absolute;
	transition: opacity $default-transition-time;
	width: 0;
}

.navbar-link-active {
	@media (max-width: ($grid-float-breakpoint - 1)) {
		background-color: lighten($navbar-default-bg, 10%);
	}
}

.navbar-link-active .nav-marker-caret {
	@media (min-width: $grid-float-breakpoint) {
		opacity: 1;
	}
}

.navbar .navbar-nav:first-child,
.navbar .navbar-nav:last-child {
	margin-bottom: 0;
	margin-top: 0;
}

.navbar .navbar-nav > .open > .dropdown-menu {
	@media (min-width: $grid-float-breakpoint) {
		padding-top: 10px;
		z-index: -1;
	}

	@media (max-width: ($grid-float-breakpoint - 1)) {
		padding: 0;
	}
}

/*
.navbar .navbar-nav > .open > .dropdown-menu > li > a {
	@media (max-width: ($grid-float-breakpoint - 1)) {
		color: $white;
	}
}
*/

.navbar .navbar-nav > .open > .dropdown-menu > li > a:last-child > a {
	@media (max-width: ($grid-float-breakpoint - 1)) {
		border-bottom: 0;
	}
}

.navbar-default {
	.navbar-nav > li {
		& > a {
			color: darken($white, 20%);
		}
		& > .navbar-link-active,
		& > .navbar-link-active:hover,
		& > .navbar-link-active:focus {
			@media (min-width: $grid-float-breakpoint) {
				color: white;
				text-decoration: none;
			}
		}
	
		& > a:hover, & > a:focus {
			color: darken($white, 30%);
			text-decoration: none;
			background: none;
		}
	}
} 

.navbar .navbar-nav > .open > .navbar-link > .nav-marker-caret {
	opacity: 0;
}

.navbar .navbar-nav > .open > .navbar-link > .nav-marker-bar {
	background-color: $dropdown-bg;

	@media (min-width: $grid-float-breakpoint) {
		opacity: 1;
	}
}

.navbar-form-selection {
	font-size: large;
	margin: 0;
	padding: 8.5px 0;

	@media (max-width: ($grid-float-breakpoint - 1)) {
		padding: 8.5px 8.5px 0 !important;
	}
}

.navbar-form-selection > {
	.fa-regular,
	.fa-brands,
	.fa-solid {
		color: $white;

		@media (max-width: ($grid-float-breakpoint - 1)) {
			display: none;
		}
	}
}

.navbar-form-selection > .form-control {
	@media (max-width: ($grid-float-breakpoint - 1)) {
		height: 100%;
		width: 100%;
	}
}

.navbar .js-region-search-form {
	display: inline;
}

.language-name {
	display: inline-block;
}

.login-link .dropdown-menu {
	@media (max-width: ($grid-float-breakpoint - 1)) {
		position: initial;
	}
}

.fa-bars {
	transform: scale(1.7, 1);
}

.navbar-toggle.collapsed .fa-bars,
.navbar-toggle .fa-x {
	display: block;
}

.navbar-toggle .fa-bars,
.navbar-toggle.collapsed .fa-x {
	display: none;
}

.navbar-custom-modal {
	background-color: rgb(0, 0, 0); /* Fallback color */
	background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
	height: 100%; /* Full height */
	left: 0;
	overflow: auto; /* Enable scroll if needed */
	position: fixed;
	top: 0;
	width: 100%; /* Full width */
	z-index: 1001;
}

.navbar-right {
	margin-right: 0;
}
